Bug 504042 - CS 8.0 Beta 2 TPS Admin page unable to list users that where created with a space in the name.
CS 8.0 Beta 2 TPS Admin page unable to list users that where created with a s...
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: TPS (Show other bugs)
unspecified
All Linux
high Severity medium
: ---
: ---
Assigned To: Jenny Galipeau
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-06-03 18:19 EDT by Sean Veale
Modified: 2015-01-04 18:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:36:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix (11.83 KB, patch)
2009-06-07 23:27 EDT, Ade Lee
no flags Details | Diff
TPS List User with Space in Name Screen shot (113.51 KB, image/png)
2009-06-25 14:24 EDT, Jenny Galipeau
no flags Details

  None (edit)
Description Sean Veale 2009-06-03 18:19:22 EDT
Description of problem:

On the TPS admin tab if you create a user where the first or last name has a space i.e. 

Sean St Jean  the user can be created. 

If you list the all users the newly created user will be shown but if click on the link to show the cert/profiles ect  you be displayed the message user not found. 

If you search the internal ldap under TPS-Admin you can see the user is in there. 


Version-Release number of selected component (if applicable):

CS 8.0beta2 

How reproducible:
Always

Steps to Reproduce:
1.In the TPS Admin add  and a user with a space in the last name. I.e. Jean St Jean" 
2.Get out and list all users. See Jean is there.  Click on the link and see the error.
3.
  
Actual results:

User not found error

Expected results:

Able to see the user cert/profile ect. 

Additional info:
Comment 1 Ade Lee 2009-06-07 23:27:31 EDT
Created attachment 346806 [details]
patch to fix

awnuk, please review

patch to fix:
1. improves handling of first name , last name
2. fix display of first name/ lastname
3. fix searches
Comment 2 Andrew Wnuk 2009-06-08 17:23:14 EDT
attachment (id=346806) +awnuk
Comment 3 Ade Lee 2009-06-09 11:12:24 EDT
[builder@dhcp231-124 pki]$ svn ci -m "Bugzilla Bug #504042 - unable to list users that where created with a space in the name" 
Sending        base/tps/src/include/tus/tus_db.h
Sending        base/tps/src/modules/tokendb/mod_tokendb.cpp
Sending        base/tps/src/tus/tus_db.c
Sending        dogtag/tps/pki-tps.spec
Sending        dogtag/tps-ui/dogtag-pki-tps-ui.spec
Sending        dogtag/tps-ui/shared/docroot/tokendb/editUser.template
Sending        dogtag/tps-ui/shared/docroot/tokendb/userDelete.template
Transmitting file data .......
Committed revision 570.
Comment 5 Jenny Galipeau 2009-06-25 14:24:34 EDT
Created attachment 349444 [details]
TPS List User with Space in Name Screen shot

Verified - See attached screen shot

Note You need to log in before you can comment on or make changes to this bug.